{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>To do lists</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p><a href="{% url "create_todo_list" %}">Create a new list</a></p>
            <p><a href="{% url "create_todo_item" %}">Create a new item</a></p>

            <table>
                <thead>
                    <th>Name</th>
                    <th>Number of items</th>
                </thead>
                <tbody>
                    {% for list in todo_lists_list %}
                    <tr>
                        <td><a href="{% url "todo_list_detail" list.id %}">{{ list.name }}</a></td>
                        <td>{{ list.items.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>

</body>
</html>
